Upload the Media File to Upload Location
Use this endpoint to:
- Upload the video asset to the uploadUrl
- Upload the closed caption file to captionUrl. Upload of caption file is optional
Note: You receive theuploadUrlandcaptionUrlin response ofPOSToperation - Request body to include binary data of mp4 or .mov video file
Sample Request 1
curl -X PUT \ 'https://vds.stage.walmartimages.com/thunder/assets/media-service/wcnp-stage/videos/bae5b2d9-6ab3-496b-9ec1-e61cefb95838/video.mp4?sv=2021-08-06&se=2023-01-19T16%3A59%3A54Z&sr=b&sp=rcwl&sig=CZhXjnPvaoNPv%2BFTbRFG9Pa30QFUQFfSRzv5xo%2FMw5A%3D' \ --header 'Content-Type: video/mp4' \
--data-binary '@/Users/600001/Downloads/video.mp4'Sample Request 2
curl -X PUT \
'https://vds.stage.walmartimages.com/thunder/assets/media-service/wcnp-stage/videos/bae5b2d9-6ab3-496b-9ec1-e61cefb95838/transcode/f2080d80-3ffb-4441-a479-22ce3cef5d76/text_vtt0000000000.vtt?sv=2021-08-06&se=2023-01-18T02%3A49%3A00Z&sr=b&sp=rcwl&sig=ov0c8%2FqFo558WhVxdpH4ww15m49Zs3ZA%2FPO5dK9uyA4%3D' \ --header 'Content-Type: application/x-subrip' \
--data-binary '@/Users/600002/Downloads/cc.srt'Sample Response 1
You will receive response 201 if the video is uploaded successfully. You will receive a generic error message in case of video upload failure
Sample Response 2
You will receive response 201 if the closed caption file is uploaded successfully. You will receive a generic error message in case of caption file upload failure
Updated 21 days ago
Did this page help you?
